# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'puppet_x/enterprisemodules/weblogic/provider'
require 'easy_type/daemon'

Puppet::Type.type(:wls_daemon).provide(:prefetching) do
  include EasyType

  confine :exists => '/etc/wls_setting.yaml'
  confine :feature => :weblogic_running

  desc 'Manage wlst daemon'

  mk_resource_methods

  def exists?
    daemon
  end

  def destroy
    daemon.kill
  end

  def daemon
    identity = "wls-#{name}"
    EasyType::Daemon.send(:daemon_for, identity)
  end
end
