# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:cluster_broadcast_channel, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the channel used to handle communications within a cluster. If no channel is specified the default channel is used. ClusterBroadcastChannel is only are supported if the unicast messaging type is used.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         cluster_broadcast_channel => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:cluster_broadcast_channel']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ClusterBroadcastChannel')
end
