# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:overload_free_memory_percent_low_threshold, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Percentage free memory below which the server is considered overloaded. WorkManagers perform overloadAction once the server is marked as overloaded.

  An example on how to use this:

      wls_cluster {a_wls_cluster :
         ...
         overload_free_memory_percent_low_threshold => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_cluster:overload_free_memory_percent_low_threshold']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('OverloadProtection/%<cluster_name>s/FreeMemoryPercentLowThreshold')
end
