# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unicastaddress, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::IPFQDN

  desc <<-DESC
  The IP address for the cluster unicast listener.

      wls_coherence_cluster{'my_coherence_cluster':
        ...
        unicastaddress => '10.10.10.30',
        ...
      }

  or use a host name like this:

      wls_coherence_cluster { 'aCluster':
        ...
        unicastaddress => 'myhost.exaqmple.com',
        ...
      }

  DESC

  data_type('Optional[String]')

  maps_to('CoherenceClusterResource/%<coherence_cluster_name>s/CoherenceClusterParams/%<coherence_cluster_name>s/UnicastListenAddress') {}
end
