# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:classpath, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Validators::Name

  desc <<-DESC
  The coherence machine classpath.

  Here is an example on how to use this:

      wls_coherence_server{ 'my_coherence_server':
        ...
        classpath => 'myClasspath',
        ...
      }

  DESC

  data_type('Optional[String]')

  maps_to('CoherenceServerStart/%<coherence_server_name>s/ClassPath')
end
