# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:datasource_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Described the type of datasource.

  The data source type. Valid types are:

  - GENERIC - generic data source
  - MDS - multi data source
  - AGL - Active GridLink data source
  - UCP - Universal Connection Pool data source
  - PROXY - proxy for multiple tenant data sources

  DESC

  newvalues('absent', 'GENERIC', 'MDS', 'AGL', 'UCP', 'PROXY')

  maps_to('JDBCResource/%<datasource_name>s/DatasourceType') { :absent }

  data_type("Optional[Enum['absent','GENERIC','MDS','AGL', 'UCP', 'PROXY']]")
end
