# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:job_scheduler_table_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The table name to use for storing timers active with the Job Scheduler.

  An example on how to use this:

      wls_domain_partition {a_wls_domain_partition :
         ...
         job_scheduler_table_name => 'WEBLOGIC_TIMERS'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_domain_partition:job_scheduler_table_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('JobSchedulerTableName')
end
