# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
$LOAD_PATH.unshift File.join(File.dirname(__FILE__), '../..')
require 'puppet_x/enterprisemodules/weblogic/core'

module Puppet
  Type.newtype(:wls_domain_partition_resource_group) do
    include Puppet_X::EnterpriseModules::WebLogic::Type

    desc <<-DESC
    This resource allows you to manage resource group in an WebLogic 12.2.1 domain.
    DESC

    bean_path('/Partitions/%<domain_partition_name>s/ResourceGroups')
    bean_type('ResourceGroup')

    ensurable
    parameter :domain
    parameter :name
    parameter :resource_group_name
    parameter :domain_partition_name
    parameter :timeout

    property :resource_group_template
    property :virtual_target
    property :use_default_target
    extraproperties do
      property :notes
      property :tags
      property :upload_directory_name
    end

    add_title_attributes(:domain_partition_name, :resource_group_name) do
      /(.+):(.+)/
    end
  end
end
