# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:resource_group_template, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The resource group template referenced by this resource group.

  An example on how to use this:

      wls_domain_partition_resource_group {a_wls_domain_partition_resource_group :
         ...
         resource_group_template => 'a_value'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ResourceGroupTemplate')
end
