# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:module_type, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The values match those defined by jsr88. This attribute may move to another MBean.

  An example on how to use this:

      wls_jms_subdeployment {a_wls_jms_subdeployment :
         ...
         module_type => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_jms_subdeployment:module_type']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('ModuleType')
end
