# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:addresses, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The addresses by which this machine is known. May be either host names or literal IP addresses.

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         addresses => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:addresses']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('Addresses')
end
