# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:node_manager_home, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Returns the node manager home directory that will be used to substitute for the shell command template

  An example on how to use this:

      wls_machine {a_wls_machine :
         ...
         node_manager_home => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_machine:node_manager_home']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type('Optional[String]')

  maps_to('NodeManager/%<machine_name>s/NodeManagerHome')
end
