# frozen_string_literal: true

newproperty(:max_concurrent_long_running_requests, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
   The maximum number of running long-running tasks submitted to this CMO.

  An example on how to use this:

      wls_managed_executor_service_template {a_wls_managed_executor_service_template :
         ...
         max_concurrent_long_running_requests => '10'
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to('MaxConcurrentLongRunningRequests')
end
