# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:saf_error_destination, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Specifies the error destination when <code>Policy</code> is set to <code>Redirect</code>.  Any change to this parameter affects only incoming messages; stored messages are not affected.

  An example on how to use this:

      wls_saf_error_handler {a_wls_saf_error_handler :
         ...
         saf_error_destination => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_saf_error_handler:saf_error_destination']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('SAFErrorDestination')
end
