# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:imported_destination) do
  include EasyType
  include EasyType::Validators::Name

  isnamevar

  to_translate_to_resource do |raw_resource|
    raw_resource['imported_destination']
  end

  desc <<-DESC
  SAF imported destination name

  DESC
end

child_of(:wls_saf_imported_destination, :imported_destination) { "#{domain}/#{jmsmodule}:#{imported_destination}" }
