# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module SAFImportedDestinationObjectProperty
  include EasyType::Types::Integer
  def actual_paths(resource)
    wls_path.collect do |p|
      path = case resource[:object_type].to_s
             when 'queue'
               "#{type_path}/SAFQueues/#{resource[key_name]}/#{p}"
             when 'topic'
               "#{type_path}/SAFTopics/#{resource[key_name]}/#{p}"
             else
               fail "#{resource[:object_type]} is not valid as an object_type. internal error"
             end
      path % resource.to_hash
    end
  end
end
