# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:auto_restart, :parent => Puppet::Parameter::WlsProperty) do
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
  Specifies whether the Node Manager can automatically restart this server if it crashes or otherwise goes down unexpectedly.

  An example on how to use this:

      ...{...:
         ...
         autorestart => 1,
         ...
      }

  Help text generated from MBEan text.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('AutoRestart')
end
