# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:health_check_interval_seconds, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The number of seconds that defines the frequency of this server's self-health monitoring. The server monitors the health of it's subsystems every HealthCheckIntervalSeconds and changes the Server's overall state if required.#{'  '}

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         health_check_interval_seconds => '180'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:health_check_interval_seconds']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('HealthCheckIntervalSeconds')
end
