# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:interface_address, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The IP address of the NIC that this server should use for multicast traffic.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         interface_address => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:interface_address']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('InterfaceAddress')
end
