# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_stdout_filter, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The filter configuration for log events being sent to the standard out.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         log_stdout_filter => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:log_stdout_filter']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('Log/%<server_name>s/StdoutFilter')
end
