# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:overload_free_memory_percent_high_threshold, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  Percentage free memory after which the server overload condition is cleared. WorkManagers stop performing overloadActions and start regular execution once the overload condition is cleared.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         overload_free_memory_percent_high_threshold => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:overload_free_memory_percent_high_threshold']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('OverloadProtection/%<server_name>s/FreeMemoryPercentHighThreshold')
end
