# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:webserver_log_file_name, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The name of the log file.

  An example on how to use this:

      wls_server {a_wls_server :
         ...
         webserver_log_file_name => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server:webserver_log_file_name']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('WebServer/%<server_name>s/WebServerLog/%<server_name>s/FileName')
end
