# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:log_file_min_size, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType::Types::Integer

  desc <<-DESC
  The log file min size of a domain or server.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer]]")

  maps_to([
            'Log/%<server_name>s/FileMinSize',
            'WebServer/%<server_name>s/WebServerLog/%<server_name>s/FileMinSize',
            'DataSource/%<server_name>s/DataSourceLogFile/%<server_name>s/FileMinSize'
          ])
end
