# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:two_way_ssl, :parent => Puppet::Parameter::WlsProperty) do
  include EasyType
  include Puppet_X::EnterpriseModules::WebLogic::Types::NumberedBoolean

  desc <<-DESC
    Should Two Way SSL be used on the server.

  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,1]]]")

  maps_to('SSL/%<server_name>s/TwoWaySSLEnabled')
end
