# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:channel_weight, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  A weight to give this channel when creating server-to-server connections.

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         channel_weight => '50'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:channel_weight']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('ChannelWeight')
end
