# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:public_port, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The externally published listen port for this network channel. A value of <tt>-1</tt> indicates that the network channel's Listen Port is also its public listen port. If the Listen Port is <tt>-1,</tt>the network channel obtains its public listen port from the server's configuration.

  An example on how to use this:

      wls_server_channel {a_wls_server_channel :
         ...
         public_port => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_server_channel:public_port']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('PublicPort')
end
