# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:capacity, :parent => Puppet::Parameter::WlsProperty) do
  desc <<-DESC
  The total number of requests that can be queued or executing before WebLogic Server begins rejecting requests.

  An example on how to use this:

      wls_workmanager {a_wls_workmanager :
         ...
         capacity => 'a_value'
         ...
      }

  This is an extended property. Before you can use it add it to the `wls_settings` property `extra_properties`.

      wls_setting{'domain':
         ...
        extra_properties => ['wls_workmanager:capacity']
         ...
      }

  This help text generated from MBean text of the WebLogic server.

  DESC

  maps_to('Capacity')
end
