# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module Puppet_X
  module EnterpriseModules
    module WebLogic
      module TitleParser
        def add_title_attributes(*attributes, &proc)
          base_regexp = proc ? yield : /(.+)/
          without_domain_regexp = Regexp.new("^(#{base_regexp.source})$")
          with_domain_regexp    = Regexp.new("^((.+)/#{base_regexp.source})$")
          map_titles_to_attributes([
                                     with_domain_regexp, [:name] + [:domain] + attributes,
                                     without_domain_regexp, [:name] + attributes
                                   ])
        end
      end
    end
  end
end
